# $Revision: 1.4 $, $Date: 2009/09/18 09:57:31 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	POE
%define	pnam	Component-Cron
Summary:	POE::Component::Cron - Schedule POE Events using a cron spec
Summary(pl.UTF-8):	POE::Component::Cron - szeregowanie zdarzeń POE przy użyciu opisów crona
Name:		perl-POE-Component-Cron
Version:	0.021
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/POE/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	598826703b953575f9ae0b003806326e
URL:		http://search.cpan.org/dist/POE-Component-Cron/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-DateTime
BuildRequires:	perl-DateTime-Event-Cron
BuildRequires:	perl-DateTime-Event-Random
BuildRequires:	perl-POE
BuildRequires:	perl-POE-Component-Schedule
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This component encapsulates a session that sends events to client
sessions on a schedule as defined by a DateTime::Set iterator. The
implementation is straight forward if a little limited.

%description -l pl.UTF-8
Ten komponent obudowuje sesję wysyłającą zdarzenia do sesji klienckich
zgodnie z planem określonym przez iterator DateTime::Set.
Implementacja jest bezpośrednia, choć nieco ograniczona.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/POE/Component/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-POE-Component-Cron.spec,v $
Revision 1.4  2009/09/18 09:57:31  amateja
- updated to 0.021

Revision 1.3  2008/12/14 13:02:00  agaran
- up to 0.019

Revision 1.2  2008/03/24 19:04:32  qboosh
- pl, generic URL

Revision 1.1  2008-01-03 13:43:02  agaran
- initial, builds and tests here, rel 1
